Bug 233054 - scim-pinyin-shuangpin not enabled
scim-pinyin-shuangpin not enabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-pinyin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
:
Depends On: 177714
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-20 01:23 EDT by Wensheng Wang
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 02:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch that allows the preedit string in scim-pinyin-shuangpin to be more easily edited. (7.06 KB, patch)
2007-06-16 02:19 EDT, r6144
no flags Details | Diff

  None (edit)
Description Wensheng Wang 2007-03-20 01:23:38 EDT
Description of problem:
Shuangpin is not enabled by default.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.enable and start scim
2.shuangpin is not available

  
Actual results:
shungpin is not installed by default.

Expected results:
shungpin should be installed by default

Additional info:
The default scim-pinyin has only Quanpin, this cause lots of people frustration 
as they have to get source of scim-pinyin and modify spec or patch file and 
recompile it.

Please do not apply "scim-pinyin-shuangpin.patch" in scim-pinyin.spec.

While most people use quanpin, it's the slowest input method for simplified 
chinese.  Wubi is the fastest input method but it's hard for most people to 
learn.  This leave a lot of people, especially geeks, to use Shuangpin, which 
is easy to learn and much faster than quanpin.  Shuangpin is the 2nd most 
popular input methods among mainland chinese.

Thank you.
Comment 1 Wensheng Wang 2007-03-20 01:36:21 EDT
I know one can enable Shuangping by editing ~/.scim/config, however this is not 
obvious and well documented, and one can not do it from scim gui.  Not applying 
that shuangpin patch is still the best route I think.
Comment 2 r6144 2007-06-16 02:16:06 EDT
I concur.  This is the input method I am using right now, and unless there is
e.g. legal reasons obstructing its inclusion, I think scim-pinyin-shuangpin
should be compiled in by default.
Comment 3 r6144 2007-06-16 02:19:30 EDT
Created attachment 157180 [details]
The patch that allows the preedit string in scim-pinyin-shuangpin to be more easily edited.
Comment 4 r6144 2007-06-16 02:38:51 EDT
Comment on attachment 157180 [details]
The patch that allows the preedit string in scim-pinyin-shuangpin to be more easily edited.

(NOTE: The patch applies to the src/ directory of the scim-pinyin distribution)

This patch attempts to address some usability problems in
scim-pinyin-shuangpin.	Basically, the original parser is quite strict, and
combined with the fact that the cursor can only move between parsed PinyinKey
boundaries, it is difficult to edit the preedit string at the middle to fix a
typo.  In the patch, the parser is made less strict, and the initial characters
are capitalized internally to allow more accurate parsing.

I have been using this patched version for two weeks and it works acceptably
well.
Comment 5 Peng Huang 2007-06-17 22:40:05 EDT
Rainy,

I appreciate this patch created by you, but I suggest submitting this patch to
upstream mailist (scim-devel@lists.sourceforge.net) or bugzilla. When the
upstreamer accept your patch and include it in the new version, we will get and
release it in fedora and redhat Linux. It is will avoid conflict between
upstreamer and our versions.

Regards,
Peng
Comment 6 Peng Huang 2007-06-18 01:09:00 EDT
we thought shuangpin maybe have some legal problems, but the problem should not
be in fedora, so that I dropped the patch.

It was fixed in 0.5.91-17.fc8.

Note You need to log in before you can comment on or make changes to this bug.